MultiScreenConfigurationListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui.event
Interface MultiScreenConfigurationListener

All Superinterfaces:
  EventListener

    public interface MultiScreenConfigurationListener

extends EventListener

This listener is used to provide notifications regarding system and application induced changes to the global state of the `MultiScreenManager` instance or the state of some display `HScreen` with respect to the per-platform or some per-display multiscreen configuration, respectively, or to changes to a specific `MultiScreenConfiguration` instance.

Since:
  MSM I01
Author:
  Glenn Adams

Method Summary
`void` | `notify(MultiScreenConfigurationEvent evt)` When a `MultiScreenConfigurationEvent` is generated, the implempentation SHALL invoke this method on all registered listeners in order to report event information to each listener as required by specific event semantics.

Method Detail

### notify

    void notify(MultiScreenConfigurationEvent evt)

  When a `MultiScreenConfigurationEvent` is generated, the implempentation SHALL invoke this method on all registered listeners in order to report event information to each listener as required by specific event semantics.

  In case the event is `MultiScreenConfigurationEvent.MULTI_SCREEN_CONFIGURATION_CHANGING`, this method SHALL NOT be invoked unless the application that registered this listener has been granted `MonitorAppPermission("multiscreen.configuration")`. Furthermore, an implementation of this method SHOULD severely limit the amount of processing that may occur, since an absolute time limit is placed on the invocation of this method for the set of all applicable listeners.

  Parameters:
    `evt` - A `MultiScreenConfigurationEvent` instance.
  Since:
    MSM I01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD